=== resources/kolab/wizard/CMakeLists.txt ===

install(
  FILES kolabwizard.desktop kolabwizard.es kolabwizard.ui kolabwizard2.ui
  DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/accountwizard/kolab
)
