=== debian/changelog ===
kdepim-runtime (4:18.08.3-4) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Remove not needed depdendency: kio-sieve.
  * Restrict dependcy libsasl2-modules-kdexoauth2 for available archs.

 -- Sandro Knauß <hefee@debian.org>  Fri, 29 Mar 2019 09:53:18 +0100

kdepim-runtime (4:18.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add patch to make qtwebengine optional.
  * Update Build-deps: make qtwebengine optional.

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Mar 2019 01:28:16 +0100

kdepim-runtime (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Fix "Build on all release critical platforms" (Closes: #925155)
    - Add patch to make libkf5gapi optional.
    - Update Build-deps: make libkf5gapi optional.

 -- Sandro Knauß <hefee@debian.org>  Wed, 20 Mar 2019 21:20:53 +0100

kdepim-runtime (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:01:49 +0100

kdepim-runtime (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.
  * Add libsasl2-modules-kdexoauth2 as dependecy for gmail accounts.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:19:54 +0200

kdepim-runtime (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 12:14:54 +0200

kdepim-runtime (4:17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Add the libqt5texttospeech5-dev build dependency to enable the
    text-to-speech functionality.
  * Bump Standards-Version to 4.1.4, no changes required.
  * The upstream test suite is utterly broken, at least beyond any repair in
    this version, hence:
    - remove the autopkgtest stuff, since it times out, and it is even the
      wrong place for running the test suite (as it will not test the installed
      package) (Closes: #897450)
    - disable again dh_auto_test
    - pass -DBUILD_TESTING=OFF to cmake, to shorten the build time (since the
      test suite is not run)
    - comment out the dbus, xauth, and xvfb build dependencies, no more needed
      now; add also akonadi-server, akonadi-backend-sqlite, and kinit as
      commented, maybe they will be useful in the future
    - create a new debian/testsuite.xsession script, modelled after
      debian/tests/testsuite.xsession, that prepares the fake home directory,
      and starts the needed services; its use is added to debian/rules, but
      commented out
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 17:05:13 +0200

kdepim-runtime (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:24:05 +0200

kdepim-runtime (4:17.12.2-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * libkolab and kip-smtp are no more needed anymore, remove from
    Depends.
  * add libboost-program-options and libkolabxml in Build-Deps to build
    kolab resource.

 -- Sandro Knauß <hefee@debian.org>  Thu, 15 Mar 2018 17:09:39 +0100

kdepim-runtime (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Remove not needed build-deps.
  * Update copyright file.
  * Enable build tests (make them non-failing).
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:06 +0100

kdepim-runtime (4:17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Do not delete .so symlinks for sasl2 plugins, otherwise they will not be
    loaded; this fixes the XOAUTH2 authentication in the IMAP resource.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jan 2018 15:36:34 +0100

kdepim-runtime (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kdepim-runtime.install, no more useful now
    - make sure to not ship XML files of D-Bus interfaces, and development
      symlinks of libraries
    - drop not-installed, no more useful now
  * Remove the akonadi-kde, kdepimlibs-kio-plugins, kdepimlibs5, and
    libmaildir4 breaks/replaces, since those packages are for kdepimlibs 4.x.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Update lintian overrides.
  * Remove alternative libqt5webengine5-dev build dependency.

  [ Sandro Knauß ]
  * Fix "kdepim-runtime depends on libkolab-dev" (Closes: #885111)
    Change dependency to libkolab1

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 12:51:06 +0100

kdepim-runtime (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team (Closes: #879329)

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Remove not needed Build-Deps.
  * tighten dependencies between libkolab (it must be compiled with the

