=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
                qtwebengine5-dev (>= 5.9.0~) [amd64 arm64 armhf i386 mipsel],
                shared-mime-info (>= 1.3~),
                xsltproc,
+               qtspeech5-speechd-plugin
 Standards-Version: 4.3.0
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
