=== debian/changelog ===
kdepim-runtime (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:45:29 +0100

kdepim-runtime (4:18.12.3-0ubuntu1) disco; urgency=medium

  * Update install file. SASL plugin moved to libkgapi
  * Update install files
  * Optional build dep on libqt5networkauth5-dev & libqca-qt5-2-dev
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:05:09 +0000

kdepim-runtime (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 19:40:45 +0000
